searchNodes=[{"doc":"Documentation for ExCogmint, the Elixir client library which is a thin wrapper around the Cogmint.com API. Cogmint.com is a crowdsourcing / micro task website. Example configuration (see ExCogmint.Config for more details) In your app&#39;s config.exs file: config :ex_cogmint, cogmint_api_key: System.get_env(&quot;COGMINT_API_KEY&quot;), callback_url: System.get_env(&quot;COGMINT_CALLBACK_URL&quot;) cogmint_api_key: required. The API key for your Cogmint account. callback_url: optional. Sets the default callback_url on each task created. If your app has a single endpoint for receiving all callbacks from Cogmint it is recommended to set this, or else you need to set it individually on every task creation API call.","ref":"ExCogmint.html","title":"ExCogmint","type":"module"},{"doc":"Add a new task to an existing project. Project_uuid is the project&#39;s ID for which you wish to add a new microtask. The second argument is a map of substitutions you wish to make to the default project task template in order to create the task. For example, suppose you have a project asking users to determine if a city is a capital city or not. This project likely has a template that looks something like: &quot;Is [[city]] a capital city?&quot; For this project template, we can provide a map replacing the variable city with a value by passing in a map like %{&quot;city&quot; =&gt; &quot;Washington, D.C.&quot;} Resulting in a task created for a worker like: &quot;Is Washington, D.C. a capital city?&quot; Examples ExCogmint.add_task!(&quot;1234-12345-1234-12345&quot;, %{&quot;city&quot; =&gt; &quot;Brasilia&quot;}) ExCogmint.add_task!(&quot;abc-123-abc&quot;, %{&quot;variable_name_to_replace&quot; =&gt; &quot;string inserted&quot;}) Potential Responses: {:ok, %{ data: %{ prompt: &quot;Hotdog or not hotdog?&quot;, task_uuid: &quot;1234-1234-1234&quot;, reward: 4, callback_url: &quot;https://yoururl.com/callbackyouspecify&quot;, required_submissions: 3, submission_count: 3, checked_out_at: &lt;datetime&gt;, allowed_completion_time_seconds: 3600, external_image_url: &quot;https://www.imagehostingurl.com/maybehotdog.png&quot;, submissions: [] } } } or {:error, &quot;helpful message&quot;}","ref":"ExCogmint.html#add_task!/2","title":"ExCogmint.add_task!/2","type":"function"},{"doc":"Retrieve information about a project. Example ExCogmint.get_project!(&quot;39a832c4-6ad0-48ef-9cf3-f251efb124f2&quot;) Example response: {:ok, %{ data: %{ allowed_completion_time_seconds: 3600, available_task_count: 89, average_outstanding_task_reward_cents: 50, default_required_submissions: 3, default_reward: 50, display_name: &quot;Great Display Name&quot;, display_short_description: &quot;A short description, visible to workers&quot;, has_published_tasks: true, lifetime_payments_to_workers_cents: 15000, name: &quot;Test Project (using test key)&quot;, uuid: &quot;39a832c4-6ad0-48ef-9cf3-f251efb124f2&quot; } } }","ref":"ExCogmint.html#get_project!/1","title":"ExCogmint.get_project!/1","type":"function"},{"doc":"Gets information on a task (&quot;worktask&quot;). Returns the task, including associated submissions as a list of strings. Example response: %{ data: %{ prompt: &quot;Hotdog or not hotdog?&quot;, task_uuid: &quot;1234-1234-1234&quot;, reward: 4, callback_url: &quot;https://yoururl.com/callbackyouspecify&quot;, required_submissions: 3, submission_count: 3, checked_out_at: &lt;datetime&gt;, allowed_completion_time_seconds: 3600, external_image_url: &quot;https://www.imagehostingurl.com/maybehotdog.png&quot;, submissions: [&quot;yes&quot;, &quot;yes&quot;, &quot;yes&quot;] } }","ref":"ExCogmint.html#get_task!/1","title":"ExCogmint.get_task!/1","type":"function"},{"doc":"Basic interface to Cogmint. This module is responsible for making the URL request and handling the response.","ref":"ExCogmint.Client.html","title":"ExCogmint.Client","type":"module"},{"doc":"Handles HTTPoison.Response scenarios, such as bad HTTP calls.","ref":"ExCogmint.Client.html#handle_response/1","title":"ExCogmint.Client.handle_response/1","type":"function"},{"doc":"","ref":"ExCogmint.Client.html#request!/1","title":"ExCogmint.Client.request!/1","type":"function"},{"doc":"Configuration for the ExCogmint app. Provide configuration in your application&#39;s config.exs. Example configuration: config :ex_cogmint, cogmint_api_key: System.get_env(&quot;COGMINT_API_KEY&quot;), callback_url: System.get_env(&quot;COGMINT_CALLBACK_URL&quot;), cogmint_url: System.get_env(&quot;COGMINT_URL&quot;) cogmint_api_key: required. The API key for your Cogmint account. callback_url: optional. Sets the default callback_url on each task created. If your app has a single endpoint for receiving all callbacks from Cogmint it is recommended to set this, or else you need to set it individually on every task creation API call. cogmint_url: optional. The URL where this app expects to find Cogmint. You should never need to set this.","ref":"ExCogmint.Config.html","title":"ExCogmint.Config","type":"module"},{"doc":"Returns the API key.","ref":"ExCogmint.Config.html#api_key/0","title":"ExCogmint.Config.api_key/0","type":"function"},{"doc":"The default callback URL for tasks created via this API. Cogmint will send webhook events to this URL, such as &quot;task_completed&quot;.","ref":"ExCogmint.Config.html#callback_url/0","title":"ExCogmint.Config.callback_url/0","type":"function"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"ExCogmint.Config.html#child_spec/1","title":"ExCogmint.Config.child_spec/1","type":"function"},{"doc":"Retrieves the default callback (webhook) URL where Cogmint will send webhooks.","ref":"ExCogmint.Config.html#get_callback_url/0","title":"ExCogmint.Config.get_callback_url/0","type":"function"},{"doc":"Retrieves cogmint_url from config or uses https://www.cogmint.com (default)","ref":"ExCogmint.Config.html#get_server_url/0","title":"ExCogmint.Config.get_server_url/0","type":"function"},{"doc":"Returns the Cogmint server URL. You should never need to change this, but can point this library at any endpoint you want, perhaps to test calls that are sent.","ref":"ExCogmint.Config.html#server_url/0","title":"ExCogmint.Config.server_url/0","type":"function"},{"doc":"Builds request URLs for API actions related to the Project object/struct","ref":"ExCogmint.Project.html","title":"ExCogmint.Project","type":"module"},{"doc":"Builds the request for adding a new task.","ref":"ExCogmint.Project.html#build_add_task_request/1","title":"ExCogmint.Project.build_add_task_request/1","type":"function"},{"doc":"Builds the request to get project details by project UUID.","ref":"ExCogmint.Project.html#build_get_project_request/1","title":"ExCogmint.Project.build_get_project_request/1","type":"function"},{"doc":"Builds request URLs for API actions related to the Worktask object/struct.","ref":"ExCogmint.Worktask.html","title":"ExCogmint.Worktask","type":"module"},{"doc":"","ref":"ExCogmint.Worktask.html#build_get_task_request/1","title":"ExCogmint.Worktask.build_get_task_request/1","type":"function"}]